package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Ssn;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface SsnMapper {

    int insert(Ssn record);

    int insertSelective(Ssn record);

    int updateByPrimaryKeySelective(Ssn record);

    int updateByPrimaryKey(Ssn record);

    int deleteByPrimaryKey(Ssn record);

    int deleteByIds(Collection<Object> collection);

    Ssn selectByPrimaryKey(Ssn record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Ssn> dyncRead(Map<String,Object> dyncMap);

}